<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="fill_parent"
    android:layout_height="fill_parent"
    android:background="@drawable/ground"
    android:orientation="vertical" >

    <RelativeLayout
       android:layout_width="wrap_content"
        android:layout_height="wrap_content"
       android:background="@drawable/title" 
         >

        <TextView
            android:id="@+id/textView4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:text="@string/PIN_code"
            android:textColor="#FFFFFFFF"
            android:textSize="25dp" />
    </RelativeLayout>
    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="wrap_content"
        android:padding="15dp"/>

    <RelativeLayout
        android:layout_width="fill_parent"
        android:layout_height="fill_parent" >

        <EditText
            android:id="@+id/pinEditText2"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_alignParentTop="true"
            android:layout_toLeftOf="@+id/pinbutton1"
            android:ems="10"
            android:lines="2"
            android:hint="@string/inputPINn">	
            <requestFocus />
        </EditText>

        <EditText
            android:id="@+id/newEditText4"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/modifyEditText3"
            android:ems="10"
            android:lines="2"
            android:layout_toLeftOf="@+id/pinbutton1"
            android:layout_marginTop="18dp"
            android:hint="@string/inputPINnfr" />

        <Button
            android:id="@+id/pinbutton1"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_alignParentRight="true"
            android:layout_alignBottom="@+id/pinEditText2"
            android:layout_alignTop="@+id/pinEditText2"
            android:text="@string/Test_pin" />

        <Button
            android:id="@+id/newButton3"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/newEditText4"
            android:layout_alignTop="@+id/newEditText4"
            android:layout_alignParentRight="true"
            android:text="@string/reset" />

        <EditText
            android:id="@+id/editText1"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/pinEditText2"
            android:layout_toLeftOf="@+id/pinbutton1"
            android:ems="10"
            android:hint="@string/input_old_password"
            android:layout_marginTop="18dp" />

        <EditText
            android:id="@+id/modifyEditText3"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_alignParentLeft="true"
            android:layout_below="@+id/editText1"
            android:ems="10"
            android:layout_toLeftOf="@+id/pinbutton1"
            android:hint="@string/input_new_password" >
        </EditText>

        <Button
            android:id="@+id/modifyButton2"
            android:layout_width="100dp"
            android:layout_height="wrap_content"
            android:layout_alignBottom="@+id/modifyEditText3"
            android:layout_alignParentRight="true"
            android:layout_alignTop="@+id/editText1"
            android:text="@string/modification" />

    </RelativeLayout>

</LinearLayout>